//https://www.youtube.com/bitabit
//https://bitabittecnologia.com.br

//Link para o vídeo tutorial:
//https://youtu.be/fXYOs8JpsL4


#define BOTAO_AUMENTAR 2
#define BOTAO_DIMINUIR 3

#define LED 5

#define VALOR_MAXIMO 255
#define VALOR_MINIMO 0

int valorSaida = 0;

void setup() 
{
  Serial.begin(9600);

  pinMode(BOTAO_AUMENTAR, INPUT_PULLUP);
  pinMode(BOTAO_DIMINUIR, INPUT_PULLUP);
}

void loop() 
{
  if(!digitalRead(BOTAO_AUMENTAR))
  {
    if(valorSaida < VALOR_MAXIMO)
    valorSaida++;
  }
  else if(!digitalRead(BOTAO_DIMINUIR))
  {
    if(valorSaida > VALOR_MINIMO)
    valorSaida--;
  }

  analogWrite(LED, valorSaida);

  Serial.print("VALOR SAÍDA: ");
  Serial.println(valorSaida);

  delay(50);
}













